Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class OSCIResponse

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage
          eu.osci.messagetypes.OSCIResponse

    public class OSCIResponse

extends OSCIMessage

This class represents the response of an OSCIRequest.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary

Fields inherited from class eu.osci.messagetypes.OSCIMessage
`text`

Constructor Summary
`OSCIResponse()` Internal message.
`OSCIResponse(com.sun.xml.ws.api.message.Message _soapMessage)` This constructor will be used to parse the incoming SOAP header and the body element.

Method Summary
`java.util.List<org.w3._2002._03.xkms.CompoundResultType>` | `getCompoundResult()` Returns a List of the check results of the certificate checks.
`void` | `getContent(java.io.OutputStream out)` The payload of the received OSCI SOAP message.
`eu.osci.ws._2008._05.transport.DeliveryReceiptType` | `getDeliveryReceipt()` Returns the OSCI DeliveryReceiptDemand header.
`eu.osci.ws._2008._05.transport.ReceptionReceiptDemandType` | `getReceptionReceiptDemand()` Returns the set ReceptionReceiptDemand header element.
`org.w3._2005._08.addressing.RelatesToType` | `getRelatesTo()` Returns the set addressing 'RelatesTo' attribute.
`org.w3._2005._08.addressing.EndpointReferenceType` | `getReplyTo()` Returns the addressing 'ReplyTo' field.
`eu.osci.ws._2008._05.transport.X509TokenContainerType` | `getX509TokenContainer()` Returns the OSCI 'X509TokenContainer' including the certificates to check on the transfer way.
`java.util.ArrayList<com.sun.xml.ws.api.message.Header>` | `prepareSendMessage()` Internal method for preparing the sent SOAP message.
`void` | `setCompoundResult(java.util.List<org.w3._2002._03.xkms.CompoundResultType> compoundResult)` Sets a List of XKMS check results on the OSCI message.
`void` | `setDeliveryReceipt(eu.osci.ws._2008._05.transport.DeliveryReceiptType deliveryReceipt)` Sets the given OSCI ReceptionReceipt element as SOAP header.
`eu.osci.ws._2008._05.transport.DeliveryReceiptType` | `setDeliveryReceipt(java.lang.String messageId, org.w3._2005._08.addressing.EndpointReferenceType toEndpoint)` This method can be used to create a DeliveryReceiptType.
`void` | `setReceptionReceiptDemand(boolean echoRequest, boolean qualifiedTSP, java.lang.String eprURI)` Adds a ReceptionReceiptDemand OSCI header with the given parameter to the OSCI message.
`void` | `setRelatesTo(org.w3._2005._08.addressing.RelatesToType _relatesTo)` Sets the addressing 'RelatesTo' attribute on the OSCI message including a previous messageId.
`void` | `setReplyTo(org.w3._2005._08.addressing.EndpointReferenceType _replyTo)` Sets the addressing 'ReplyTo' attribute on the OSCI message.
`void` | `setX509TokenContainer(eu.osci.ws._2008._05.transport.X509TokenContainerType tokenContainer)` Sets the certificates that will be checked on the transfer way.

Methods inherited from class eu.osci.messagetypes.OSCIMessage
`getAction, getAdditionalHeaderList, getMessageId, getTo, setAction, setAdditionalHeaderList, setMessageId, setTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIResponse

    public OSCIResponse()

  Internal message.

### OSCIResponse

    public OSCIResponse(com.sun.xml.ws.api.message.Message _soapMessage)
                 throws javax.xml.bind.JAXBException

  This constructor will be used to parse the incoming SOAP header and the body element. It will be called by the send method of the associate request message.

  Parameters:
    `_soapMessage` - The incoming SOAP message with the given header and body elements.
  Throws:
    `javax.xml.bind.JAXBException` - In case that the header elements or the body could not be parsed.

Method Detail

### getReceptionReceiptDemand

    public eu.osci.ws._2008._05.transport.ReceptionReceiptDemandType getReceptionReceiptDemand()

  Returns the set ReceptionReceiptDemand header element.

### setReceptionReceiptDemand

    public void setReceptionReceiptDemand(boolean echoRequest,
                                          boolean qualifiedTSP,
                                          java.lang.String eprURI)

  Adds a ReceptionReceiptDemand OSCI header with the given parameter to the OSCI message.

  Parameters:
    `echoRequest` - If this value is true the whole OSCI message will be returned in the receipt.
    `qualifiedTSP` - If this value is true the time stamp or the receipt will be qualified.
    `eprURI` - The URI where the receipt will be received.

### getDeliveryReceipt

    public eu.osci.ws._2008._05.transport.DeliveryReceiptType getDeliveryReceipt()

  Returns the OSCI DeliveryReceiptDemand header.

### setDeliveryReceipt

    public eu.osci.ws._2008._05.transport.DeliveryReceiptType setDeliveryReceipt(java.lang.String messageId,
                                                                                 org.w3._2005._08.addressing.EndpointReferenceType toEndpoint)
                                                                          throws javax.xml.datatype.DatatypeConfigurationException

  This method can be used to create a DeliveryReceiptType. As creation time the system time will be used. The time stamp and the signature must be included by the user of this method. The created DeliveryReceipt will be added to the OSCIResponse object.

  Parameters:
    `messageId` - The messageId for the receipt
    `toEndpoint` - The wsa:To address out of the OSCI message.
  Returns:
    The created DeliveryReceiptType object for further processing.
  Throws:
    `javax.xml.datatype.DatatypeConfigurationException`

### setDeliveryReceipt

    public void setDeliveryReceipt(eu.osci.ws._2008._05.transport.DeliveryReceiptType deliveryReceipt)

  Sets the given OSCI ReceptionReceipt element as SOAP header.

  Parameters:
    `deliveryReceipt` - The configured or parsed ReceptionReceipt header.

### getX509TokenContainer

    public eu.osci.ws._2008._05.transport.X509TokenContainerType getX509TokenContainer()

  Returns the OSCI 'X509TokenContainer' including the certificates to check on the transfer way.

  Returns:
    The list of certificates that will be checked.

### setX509TokenContainer

    public void setX509TokenContainer(eu.osci.ws._2008._05.transport.X509TokenContainerType tokenContainer)

  Sets the certificates that will be checked on the transfer way.

  Parameters:
    `tokenContainer` - The list of certificates that will be checked.

### getContent

    public void getContent(java.io.OutputStream out)
                    throws javax.xml.transform.TransformerException

  The payload of the received OSCI SOAP message.

  Parameters:
    `out` - The payload out of the body.
  Throws:
    `javax.xml.transform.TransformerException`

### getRelatesTo

    public org.w3._2005._08.addressing.RelatesToType getRelatesTo()

  Returns the set addressing 'RelatesTo' attribute.

### setRelatesTo

    public void setRelatesTo(org.w3._2005._08.addressing.RelatesToType _relatesTo)

  Sets the addressing 'RelatesTo' attribute on the OSCI message including a previous messageId.

  Parameters:
    `_relatesTo` - The 'RelatesTo' attribute.

### getCompoundResult

    public java.util.List<org.w3._2002._03.xkms.CompoundResultType> getCompoundResult()

  Returns a List of the check results of the certificate checks.

### setCompoundResult

    public void setCompoundResult(java.util.List<org.w3._2002._03.xkms.CompoundResultType> compoundResult)

  Sets a List of XKMS check results on the OSCI message.

  Parameters:
    `compoundResult` - A List of XKMS results.

### getReplyTo

    public org.w3._2005._08.addressing.EndpointReferenceType getReplyTo()

  Returns the addressing 'ReplyTo' field. In the case of symmetrical binding like HTTP this value must be 'http://www.w3.org/2005/08/addressing/anonymous'. Be careful with this setter because if the framework will put a 'ReplyTo' header into the SOAP message there will be two headers available.

### setReplyTo

    public void setReplyTo(org.w3._2005._08.addressing.EndpointReferenceType _replyTo)

  Sets the addressing 'ReplyTo' attribute on the OSCI message. Including the URL for reply messages.
  Be careful with this setter because if the framework will put a 'ReplyTo' header into the SOAP message there will be two headers available.

  Parameters:
    `_replyTo` - The 'ReplyTo' attribute.

### prepareSendMessage

    public java.util.ArrayList<com.sun.xml.ws.api.message.Header> prepareSendMessage()
                                                                              throws javax.xml.bind.JAXBException

  Internal method for preparing the sent SOAP message. The header elements of the request will be set here.

  Returns:
    The created header elements for further processing.
  Throws:
    `javax.xml.bind.JAXBException` - In the case of parsing or JAXB errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.